rggobi (2.1.22-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:32:20 +0000

rggobi (2.1.22-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/README.source: Added 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Jul 2018 17:11:46 -0500

rggobi (2.1.21-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Jun 2017 17:55:11 -0500

rggobi (2.1.21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Aug 2016 16:19:59 -0500

rggobi (2.1.20-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2014 06:42:07 -0500

rggobi (2.1.19-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:58:35 -0500

rggobi (2.1.19-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Jul 2012 10:46:23 -0500

rggobi (2.1.17-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Apr 2011 07:41:46 -0500

rggobi (2.1.16-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Sep 2010 19:10:55 -0500

rggobi (2.1.14-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Nov 2009 20:23:41 -0600

rggobi (2.1.14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 May 2009 23:00:14 -0500

rggobi (2.1.13-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 May 2009 17:11:33 -0500

rggobi (2.1.10-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Switch Build-Update: from xbase-client to xauth
  
  * debian/control: Set (Build-)Depends: to current R version 2.7.1
  * debian/control: Set Standards-Version: to current version 3.8.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Aug 2008 13:12:43 -0500

rggobi (2.1.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 May 2008 19:34:51 -0500

rggobi (2.1.8-4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Apr 2008 21:16:31 -0500

rggobi (2.1.8-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Apr 2008 20:58:08 -0500

rggobi (2.1.8-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Mar 2008 21:16:41 -0500

rggobi (2.1.8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.7.3
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Mar 2008 14:05:07 -0500

rggobi (2.1.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Oct 2007 08:57:05 -0500

rggobi (2.1.6-1-1) unstable; urgency=low

  * New upstream release
  * Built with R 2.6.0 release candidate, setting (Build-)Depends: to 
    'r-base-(core|dev) >> 2.5.1' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Sep 2007 11:22:24 -0500

rggobi (2.1.6-1) unstable; urgency=low

  * New upstream release, matching Ggobi 2.1.6		(Closes: #439457)

  * debian/control: Updated Build-Depends: to ggobi (>= 2.1.6)  and 
    r-base-core (>= 2.5.1)
  
  * debian/rules: Modify standard stanza from /usr/share/R/r-cran.mk to wrap
    'R CMD INSTALL' inside xvfb-run to provide a (virtual) X11 environment
    in RGtk2 can be loaded (as it dies without $DISPLAY set); also added
    xvfb, xbase-clients (for xauth) and xfonts-base to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Aug 2007 13:37:04 -0500

rggobi (2.1.5-2) unstable; urgency=low

  * Package renamed to r-cran-rggobi as it has also been provided via 
    the (more widely known) CRAN repository as well as from www.ggobi.org
  * debian/control: Added Replaces/Conflicts/Provides for r-omegahat-ggobi

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2007 12:22:53 -0500

rggobi (2.1.5-1) unstable; urgency=low

  * New upstream release

  * This is expected to address the bug report concerning X11 resource 
    consumption						(Closes: #412129)
  
  * debian/control: Updated Build-Depends: to ggobi (>= 2.1.5) and 
    r-base-core (>= 2.5.0) to reflect releases from this week

  * DESCRIPTION: Still removing RGtk2 from (upstream) Depends because
    of implied X11 Display requirement during build
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Apr 2007 21:38:41 -0500

rggobi (2.1.4-4-1) unstable; urgency=low

  * New upstream release
  * DESCRIPTION: Still removing RGtk2 from (upstream) Depends because
    of implied X11 Display requirement during build

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Dec 2006 11:07:33 -0600

rggobi (2.1.4-3-1) unstable; urgency=low

  * New upstream release
  * DESCRIPTION: Still removing RGtk2 from (upstream) Depends because
    of implied X11 Display requirement during build

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Dec 2006 18:49:24 -0600

rggobi (2.1.4-2-2) unstable; urgency=low

  * debian/rules: Also reset $debRlib for non-CRAN package (Closes: #400835)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Nov 2006 20:32:50 -0600

rggobi (2.1.4-2-1etch1) testing-proposed-updates; urgency=medium

  * Backport of the change in 2.1.4-2-2 (of 28 Nov 2006) -- this change
    is minimal and affects only debian/rules where two 'overriding' variables
    need to be set so that the cdbs stanza /usr/share/R/debian/r-cran.mk
    can be used correctly on this package from the Omagehat (and not CRAN)
    upstream repository.

  * Thanks for Ben Burton for suggesting it, and for Steve Langasek to give
    it an initial thumbs-up.  This package should go into testing as the
    freeze caught the badly broken (i.e. empty) version 2.1.4-2-1.

  * The original changelog entry from 2.1.4-2.2 follows.

  * debian/rules: Also reset $debRlib for non-CRAN package (Closes: #400835)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Feb 2007 20:52:42 -0600
  
rggobi (2.1.4-2-1) unstable; urgency=low

  * New upstream release
  * DESCRIPTION: Still removing RGtk2 from (upstream) Depends because
    of implied X11 Display requirement during build

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Nov 2006 20:50:40 -0600

rggobi (2.1.4-1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Simplified to one-liner sourcing r-cran.mk
  * debian/control: (Build-)Depends: upgraded to the current versions
    r-base-core (>= 2.4.0) and ggobi (>= 2.1.4)
  * debian/control: Added Depends: on r-cran-rgtk2; we cannot currently
    Build-Depends: on it as it wants an X11 display which stop autobuilds
  * debian/control: Standards-Version: upgraded to 3.7.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  9 Nov 2006 20:28:24 -0600

rggobi (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  2 Apr 2006 14:15:58 -0500

rggobi (2.1.2-1) unstable; urgency=low

  * New upstream release corresponding the recent first release of ggobi2
  * debian/control: Updated Build-Depends to ggobi and gtk2
  * debian/rules: Updated and simplified 
  * debian/postinst: No longer call R to update html help indices

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 31 Mar 2006 21:34:05 -0600

rggobi (1.1.3-1) unstable; urgency=low

  * New upstream release
  * As with 1.1.1 and 1.1.2:  
    - src/Makevars.in: As ggobi's ggobi-config would appears to be broken, 
      we added explicit statements '-I/usr/lib/ggobi/include' to PKG_CPPFLAGS 
      and '-L/usr/lib/ggobi/lib' to PKG_LIBS
    - R/GGobiHome.S.in: Dito, setting '/usr/lib/ggobi'

  * DESCRIPTION: Removed RGtk from Depends as R will try to load RGtk during
    the compilation of the package -- but as RGtk requires a X11 display, this
    is not suitable for automated and unattented builds as done for Debian.
    The logical function of the Depends is filfilled by the Debian Depends:,
    and we have to take the small performance hit of loading RGtk at runtime.
  
  * debian/control: Added Builds-Depends: and Depends: on r-omegahat-rgtk 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  7 Jun 2005 21:10:03 -0500

rggobi (1.1.2-2) unstable; urgency=low

  * Now that Ggobi moved from non-free to main, Rggobi can leave contrib
  * debian/control: Change Section: from contrib/math to math
  * debian/control: Update Build-Depends for the current ggobi

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 May 2005 22:14:46 -0500

rggobi (1.1.2-1) unstable; urgency=low

  * New upstream release 

  * As with 1.1.1:  
    - src/Makevars.in: As ggobi's ggobi-config would appears to be broken, 
      we added explicit statements '-I/usr/lib/ggobi/include' to PKG_CPPFLAGS 
      and '-L/usr/lib/ggobi/lib' to PKG_LIBS
    - R/GGobiHome.S.in: Dito, setting '/usr/lib/ggobi'

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Jan 2005 21:30:15 -0600

rggobi (1.1.1-2) unstable; urgency=low

  * debian/rules: Link libraries into $R_HOME/lib instead of $R_HOME/bin 
    following the change by R 2.* (thanks to Pavel Schlesinger)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Jan 2005 21:03:29 -0600

rggobi (1.1.1-1) unstable; urgency=low

  * New upstream release
  
  * src/Makevars.in: As ggobi's ggobi-config would appears to be broken, 
    we added explicit statements '-I/usr/lib/ggobi/include' to PKG_CPPFLAGS 
    and '-L/usr/lib/ggobi/lib' to PKG_LIBS
  * R/GGobiHome.S: Dito, setting '/usr/lib/ggobi'

  * Built under R 2.0.*
  * debian/control: Updated Build-Depends: and Depends: accordingly
  * debian/post{inst,rm}: Only run build-help.pl if R is installed
  * debian/watch: Added watch file

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 2004 23:20:18 -0600

rggobi (0.53.0-3) unstable; urgency=low

  * debian/rules: Fix small snafu induced by cdbs rewrite

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Aug 2004 23:20:07 -0500

rggobi (0.53.0-2) unstable; urgency=low

  * debian/control: Added libglib1.2-dev, libgtk1.2-dev, libxml2-dev
    to Build-Depends (Closes: #262310)
  * debian/rules: Rewritten using (invariant) cdbs template
  * debian/rules: Reused two small package-specific changes from old rules
  * debian/control: Added cdbs to Build-Depends
  * debian/control: Updated Standards-Version to 3.6.1.1
  * debian/control: Updated Depends and Build-Depends to current R version
  * We tried upgrading this to version 1.0.0, but as that one fails to
    compile against either the currently packaged or newer Ggobi, we have
    to stay with this version.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Aug 2004 21:57:04 -0500

rggobi (0.53.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2003 22:19:47 -0600

rggobi (0.52.0-1) unstable; urgency=low

  * Initial release of Debian package
  * This has to be in contrib/ as ggobi is in non-free due to its 
    non-DFSG compliant AT&T Open Source License.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2002 20:48:36 -0600

